package it.unibo.cs.lbedogni.layouts;

import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;

public class adapterForCard extends RecyclerView.Adapter<adapterForCard.ViewHolder> {
    private ArrayList<Cards> mDataset;

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView titleView;
        public TextView descView;
        public ViewHolder(View v) {
            super(v);
            titleView = (TextView)v.findViewById(R.id.tvText);
            descView = (TextView)v.findViewById(R.id.tvDesc);
        }
    }

    public adapterForCard(ArrayList<Cards> myDataset) {
        mDataset = myDataset;
    }

    @Override
    public adapterForCard.ViewHolder onCreateViewHolder(ViewGroup parent,
                                                        int viewType) {
        View v = (View) LayoutInflater.from(parent.getContext())
                .inflate(R.layout.card, parent, false);
        Log.v("CARD_EXAMPLE","onCreate");
        ViewHolder vh = new ViewHolder(v);
        return vh;
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        holder.titleView.setText(mDataset.get(position).getTitle());
        holder.descView.setText(mDataset.get(position).getDesc());
    }

    @Override
    public int getItemCount() {
        return mDataset.size();
    }
}