package it.unibo.cs.lbedogni.layouts;

import android.graphics.Color;
import android.graphics.drawable.GradientDrawable;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Random;

public class adapterForRV extends RecyclerView.Adapter<adapterForRV.ViewHolder> {
    private ArrayList<String> mDataset;

    public static class ViewHolder extends RecyclerView.ViewHolder {
        // each data item is just a string in this case
        public TextView mTextView;
        public ViewHolder(TextView v) {
            super(v);
            mTextView = v;
        }
    }

    public adapterForRV(ArrayList<String> myDataset) {
        mDataset = myDataset;
    }

    @Override
    public adapterForRV.ViewHolder onCreateViewHolder(ViewGroup parent,
                                                   int viewType) {
        Log.v("RV_EXAMPLE","In onCreateViewHolder");
        TextView v = (TextView) LayoutInflater.from(parent.getContext())
                .inflate(android.R.layout.simple_list_item_1, parent, false);

        ViewHolder vh = new ViewHolder(v);
        return vh;
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        Log.v("RV_EXAMPLE","In onBindViewHolder - position " + String.valueOf(position));
        holder.mTextView.setText(mDataset.get(position));

        Random r = new Random();
        int red=r.nextInt(255 - 0 + 1)+0;
        int green=r.nextInt(255 - 0 + 1)+0;
        int blue=r.nextInt(255 - 0 + 1)+0;

        GradientDrawable draw = new GradientDrawable();
        draw.setShape(GradientDrawable.OVAL);
        draw.setColor(Color.rgb(red,green,blue));
        holder.mTextView.setBackground(draw);
        holder.mTextView.setTextSize(r.nextInt(30) + 10);
        holder.mTextView.setGravity(Gravity.CENTER);
    }

    @Override
    public int getItemCount() {
        return mDataset.size();
    }
}